<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="de.uniol.inf.is.odysseus.common.feature"
      label="Odysseus Common Feature"
      version="1.0.0.202303142335"
      provider-name="University of Oldenburg">

   <description>
      This feature bundles common components of Odysseus that can be
used on client as well as on server side. It does not have any dependencies to other features.
   </description>

   <copyright>
      Copyright by the Odysseus Team (odysseus.informatik.uni-oldenburg.de)
   </copyright>

   <license url="http://www.apache.org/licenses/LICENSE-2.0">
      Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
   </license>

   <plugin
         id="de.uniol.inf.is.odysseus.core"
         download-size="720"
         install-size="1615"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.datatype.interval"
         download-size="40"
         install-size="102"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.mep"
         download-size="540"
         install-size="985"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.mep.matrix"
         download-size="101"
         install-size="209"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="io.netty"
         download-size="3238"
         install-size="3571"
         version="4.0.33"/>

   <plugin
         id="Commons.Math"
         download-size="331"
         install-size="586"
         version="1.0.0"
         unpack="false"/>

   <plugin
         id="org.apache.commons.math3"
         download-size="1931"
         install-size="2194"
         version="3.6.1"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.sweeparea"
         download-size="23"
         install-size="77"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.intervalapproach"
         download-size="30"
         install-size="101"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="com.rits.cloning"
         download-size="21"
         install-size="24"
         version="1.8.5"
         unpack="false"/>

   <plugin
         id="org.objenesis"
         download-size="31"
         install-size="37"
         version="1.2.0"
         unpack="false"/>

   <plugin
         id="org.apache.commons.io"
         download-size="302"
         install-size="604"
         version="2.8.0.v20210415-0900"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.report"
         download-size="11"
         install-size="45"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.report.executor"
         download-size="10"
         install-size="45"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.report.general"
         download-size="10"
         install-size="45"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.console.executor"
         download-size="14"
         install-size="23"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.bugreport"
         download-size="339"
         install-size="402"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="org.apache.commons.codec"
         download-size="367"
         install-size="700"
         version="1.14.0.v20200818-1422"
         unpack="false"/>

   <plugin
         id="javax.xml"
         download-size="339"
         install-size="510"
         version="1.4.1.v20220503-2331"
         unpack="false"/>

   <plugin
         id="javax.xml.stream"
         download-size="42"
         install-size="75"
         version="1.0.1.v201004272200"
         unpack="false"/>

   <plugin
         id="javax.activation"
         download-size="80"
         install-size="164"
         version="2.0.0.v20201118-1818"
         unpack="false"/>

   <plugin
         id="com.google.guava"
         download-size="2963"
         install-size="6687"
         version="30.1.0.v20210127-2300"
         unpack="false"/>

   <plugin
         id="javax.annotation"
         download-size="46"
         install-size="115"
         version="1.3.5.v20200909-1856"
         unpack="false"/>

   <plugin
         id="org.apache.commons.compress"
         download-size="1060"
         install-size="2129"
         version="1.21.0.v20211103-2100"
         unpack="false"/>

   <plugin
         id="org.apache.commons.lang3"
         download-size="332"
         install-size="730"
         version="3.1.0.v201403281430"
         unpack="false"/>

   <plugin
         id="org.json"
         download-size="48"
         install-size="49"
         version="1.0.0"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.keyvalue.datahandler"
         download-size="9"
         install-size="23"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.keyvalue.datatype"
         download-size="18"
         install-size="44"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.keyvalue.mep"
         download-size="18"
         install-size="39"
         version="1.0.0.202303142335"
         unpack="false"/>

   <plugin
         id="com.fasterxml.jackson"
         download-size="1936"
         install-size="2130"
         version="1.0.0"/>

   <plugin
         id="com.jayway.jsonpath"
         download-size="237"
         install-size="272"
         version="2.5.0"/>

   <plugin
         id="org.codehaus.woodstox.stax2-api"
         download-size="141"
         install-size="161"
         version="1.0.0"
         unpack="false"/>

   <plugin
         id="org.sat4j.core"
         download-size="429"
         install-size="825"
         version="2.3.6.v20201214"
         unpack="false"/>

   <plugin
         id="org.sat4j.pb"
         download-size="432"
         install-size="917"
         version="2.3.6.v20201214"
         unpack="false"/>

   <plugin
         id="org.objectweb.asm"
         download-size="132"
         install-size="261"
         version="9.3.0.v20220409-0157"
         unpack="false"/>

   <plugin
         id="org.objectweb.asm.tree"
         download-size="65"
         install-size="125"
         version="9.3.0.v20220409-0157"
         unpack="false"/>

   <plugin
         id="org.eclipse.emf.databinding"
         download-size="92"
         install-size="197"
         version="1.6.0.v20220517-0824"
         unpack="false"/>

   <plugin
         id="org.eclipse.emf.codegen.ecore"
         download-size="1091"
         install-size="3161"
         version="2.31.0.v20220730-0849"
         unpack="false"/>

   <plugin
         id="com.google.inject"
         download-size="802"
         install-size="1863"
         version="5.0.1.v20210324-2015"
         unpack="false"/>

   <plugin
         id="javax.inject"
         download-size="32"
         install-size="107"
         version="1.0.0.v20220405-0441"
         unpack="false"/>

   <plugin
         id="aopalliance"
         download-size="11"
         install-size="16"
         version="2.4.0"
         unpack="false"/>

   <plugin
         id="io.github.classgraph"
         download-size="590"
         install-size="1255"
         version="4.8.138.v20211212-1642"
         unpack="false"/>

   <plugin
         id="org.eclipse.emf.ecore.xmi"
         download-size="232"
         install-size="495"
         version="2.17.0.v20220817-1334"
         unpack="false"/>

   <plugin
         id="org.eclipse.xtext.util"
         download-size="307"
         install-size="654"
         version="2.28.0.v20220829-0438"
         unpack="false"/>

   <plugin
         id="org.eclipse.emf.ecore"
         download-size="1294"
         install-size="3192"
         version="2.28.0.v20220817-1401"
         unpack="false"/>

   <plugin
         id="org.eclipse.emf.common"
         download-size="369"
         install-size="772"
         version="2.26.0.v20220817-1401"
         unpack="false"/>

   <plugin
         id="org.apache.commons.lang"
         download-size="299"
         install-size="630"
         version="2.6.0.v201404270220"
         unpack="false"/>

   <plugin
         id="org.eclipse.xtext.xbase"
         download-size="2516"
         install-size="6767"
         version="2.28.0.v20220829-0445"
         unpack="false"/>

   <plugin
         id="org.eclipse.xtext.xbase.lib"
         download-size="162"
         install-size="413"
         version="2.28.0.v20220829-0436"
         unpack="false"/>

   <plugin
         id="org.eclipse.xtext.builder.standalone"
         download-size="49"
         install-size="98"
         version="2.28.0.v20220829-0445"
         unpack="false"/>

   <plugin
         id="org.eclipse.emf.mwe.core"
         download-size="193"
         install-size="360"
         version="1.7.0.v20220519-1115"
         unpack="false"/>

   <plugin
         id="org.eclipse.xtext.ecore"
         download-size="17"
         install-size="29"
         version="2.28.0.v20220829-0445"
         unpack="false"/>

   <plugin
         id="org.apache.commons.cli"
         download-size="64"
         install-size="129"
         version="1.4.0.v20200417-1444"
         unpack="false"/>

   <plugin
         id="org.eclipse.emf.codegen"
         download-size="362"
         install-size="788"
         version="2.22.0.v20210420-0623"
         unpack="false"/>

   <plugin
         id="org.eclipse.emf.mwe.utils"
         download-size="40"
         install-size="71"
         version="1.7.0.v20220519-1115"
         unpack="false"/>

   <plugin
         id="org.eclipse.emf.mwe2.runtime"
         download-size="16"
         install-size="21"
         version="2.13.0.v20220519-1115"
         unpack="false"/>

   <plugin
         id="org.eclipse.text"
         download-size="295"
         install-size="579"
         version="3.12.200.v20220817-1340"
         unpack="false"/>

   <plugin
         id="org.eclipse.debug.core"
         download-size="400"
         install-size="816"
         version="3.20.0.v20220811-0741"
         unpack="false"/>

   <plugin
         id="com.ibm.icu"
         download-size="13251"
         install-size="29339"
         version="67.1.0.v20200706-1749"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.variables"
         download-size="35"
         install-size="64"
         version="3.5.100.v20210721-1355"
         unpack="false"/>

   <plugin
         id="org.eclipse.emf.ecore.change"
         download-size="89"
         install-size="210"
         version="2.14.0.v20190528-0725"
         unpack="false"/>

   <plugin
         id="org.hamcrest.core"
         download-size="65"
         install-size="145"
         version="1.3.0.v20180420-1519"
         unpack="false"/>

   <plugin
         id="org.osgi.service.component"
         download-size="64"
         install-size="162"
         version="1.5.0.202109301733"
         unpack="false"/>

   <plugin
         id="org.osgi.util.promise"
         download-size="81"
         install-size="219"
         version="1.2.0.202109301733"
         unpack="false"/>

   <plugin
         id="org.apache.hc"
         download-size="2688"
         install-size="3927"
         version="1.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.databinding"
         download-size="289"
         install-size="670"
         version="1.11.100.v20220817-1444"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.databinding.observable"
         download-size="312"
         install-size="720"
         version="1.12.0.v20211231-1006"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.databinding.property"
         download-size="163"
         install-size="418"
         version="1.9.0.v20210619-1129"
         unpack="false"/>

   <plugin
         id="org.osgi.service.event"
         download-size="46"
         install-size="99"
         version="1.4.1.202109301733"
         unpack="false"/>

   <plugin
         id="org.osgi.service.cm"
         download-size="54"
         install-size="128"
         version="1.6.1.202109301733"
         unpack="false"/>

   <plugin
         id="org.osgi.service.device"
         download-size="19"
         install-size="35"
         version="1.1.1.202109301733"
         unpack="false"/>

   <plugin
         id="org.osgi.service.metatype"
         download-size="29"
         install-size="75"
         version="1.4.1.202109301733"
         unpack="false"/>

   <plugin
         id="org.osgi.service.provisioning"
         download-size="13"
         install-size="26"
         version="1.2.0.201505202024"
         unpack="false"/>

   <plugin
         id="org.osgi.service.upnp"
         download-size="30"
         install-size="70"
         version="1.2.1.202109301733"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.useradmin"
         download-size="41"
         install-size="78"
         version="1.2.300.v20220720-2012"
         unpack="false"/>

   <plugin
         id="org.osgi.service.wireadmin"
         download-size="42"
         install-size="101"
         version="1.0.2.202109301733"
         unpack="false"/>

   <plugin
         id="org.apache.httpcomponents.core5.httpcore5-h2"
         download-size="253"
         install-size="564"
         version="5.1.2.v20211217-1500"
         unpack="false"/>

   <plugin
         id="org.apache.httpcomponents.client5.httpclient5"
         download-size="842"
         install-size="1962"
         version="5.1.2.v20211217-1500"
         unpack="false"/>

   <plugin
         id="org.apache.httpcomponents.core5.httpcore5"
         download-size="908"
         install-size="1996"
         version="5.1.2.v20211217-1500"
         unpack="false"/>

   <plugin
         id="org.apache.httpcomponents.httpcore"
         download-size="350"
         install-size="694"
         version="4.4.14.v20210128-2225"
         unpack="false"/>

   <plugin
         id="org.osgi.service.useradmin"
         download-size="35"
         install-size="79"
         version="1.1.1.202109301733"
         unpack="false"/>

   <plugin
         id="org.osgi.util.function"
         download-size="23"
         install-size="56"
         version="1.2.0.202109301733"
         unpack="false"/>

   <plugin
         id="org.osgi.util.measurement"
         download-size="25"
         install-size="65"
         version="1.0.2.201802012109"
         unpack="false"/>

   <plugin
         id="org.osgi.util.position"
         download-size="13"
         install-size="26"
         version="1.0.1.201505202026"
         unpack="false"/>

   <plugin
         id="org.osgi.util.xml"
         download-size="18"
         install-size="45"
         version="1.0.2.202109301733"
         unpack="false"/>

   <plugin
         id="org.apache.ant"
         download-size="3026"
         install-size="3540"
         version="1.10.12.v20211102-1452"/>

   <plugin
         id="org.eclipse.ant.core"
         download-size="109"
         install-size="188"
         version="3.6.500.v20220718-1722"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.externaltools"
         download-size="42"
         install-size="78"
         version="1.2.300.v20220618-1805"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.filesystem"
         download-size="71"
         install-size="130"
         version="1.9.500.v20220817-1539"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.http.jetty"
         download-size="29"
         install-size="53"
         version="3.8.100.v20211021-1418"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.server"
         download-size="775"
         install-size="1612"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.servlet"
         download-size="161"
         install-size="351"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.util"
         download-size="548"
         install-size="1064"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.http"
         download-size="243"
         install-size="487"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.core.filebuffers"
         download-size="115"
         install-size="245"
         version="3.7.200.v20220202-1008"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.io"
         download-size="205"
         install-size="413"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.jetty.security"
         download-size="118"
         install-size="246"
         version="10.0.11"
         unpack="false"/>

   <plugin
         id="org.eclipse.equinox.http.servlet"
         download-size="236"
         install-size="524"
         version="1.7.300.v20220726-1300"
         unpack="false"/>

   <plugin
         id="jakarta.servlet"
         download-size="334"
         install-size="1472"
         version="5.0.0.v20210105-0527"
         unpack="false"/>

   <plugin
         id="jakarta.servlet-api"
         download-size="81"
         install-size="151"
         version="4.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.jdt.core"
         download-size="6866"
         install-size="16189"
         version="3.31.0.v20220831-1439"
         unpack="false"/>

   <plugin
         id="org.eclipse.jdt.launching"
         download-size="570"
         install-size="1076"
         version="3.19.700.v20220730-1850"
         unpack="false"/>

   <plugin
         id="org.eclipse.jdt.debug"
         download-size="915"
         install-size="1005"
         version="3.19.300.v20220812-1529"/>


</feature>
